Unit tqss2e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FQSS2E_p, QSS2E_p;

function tqss2e: String;

implementation

function tqss2e: String;
var
_i,IERR :Integer;
RINT :Array [0..4] of Extended;
R :Array [0..14] of Extended;
IND :Array [0..4] of Integer;
begin
Result := '';  {   }
QSS2E(RINT,0.e0,1.e0,FQSS2E,5,1.e-6,1,IND,R,IERR);
Result := Result + Format('%s',[' RINT=']);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[RINT[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' IND=']);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%10d ',[IND[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' IERR=']);
Result := Result + Format('%5d ',[IERR]) + #$0D#$0A;
UtRes('tqss2e',Result);  {     tqss2e.res }
exit;
end;

end.
